Overview
PUT
/access/team-permissions/{id}accessUpdate team_permissions
Replace a record in team-permissions by id.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
Request body
application/json · optional
- ecosystemIdoptionalstring
- teamIdoptionalstring
- permissionoptionalstring
- grantedAtoptionalstring
Example
{
"ecosystemId": "string",
"teamId": "string",
"permission": "string",
"grantedAt": "string"
}Responses
200
team_permissions
- idstring
- ecosystemIdstring
- teamIdstring
- permissionstring
- grantedBystring?
- grantedAtstring
Example
{
"id": "string",
"ecosystemId": "string",
"teamId": "string",
"permission": "string",
"grantedBy": "string",
"grantedAt": "string"
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X PUT "https://api.agenticdeveloperhub.com/access/team-permissions/{id}" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"ecosystemId": "string",
"teamId": "string",
"permission": "string",
"grantedAt": "string"
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/access/team-permissions/{id}", {
method: "PUT",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"ecosystemId\": \"string\",\n \"teamId\": \"string\",\n \"permission\": \"string\",\n \"grantedAt\": \"string\"\n}",
});
const data = await res.json();